Blog post details
Blog posts
Blog post details
Shows details of a blog post
Blog Post Attributes
title(string) - Title of the blog posturl(string) - URL of the blog postcontent(string) - Content of the blog postslug(string) - Slug of the blog postpage_title(string) - Page title of the blog postpage_description(string) - Page description of the blog postpublished_at(string) - Date and time the blog post was publishedcreated_at(string) - Date and time the blog post was createdupdated_at(string) - Date and time the blog post was updated_atimage_url(string) - URL of the image associated with the blog postimage_alt_text(string) - Alt text for the image associated with the blog posttags(array) - Tags associated with the blog post
Sparse Fields
Only return title attribute
GET /v1/blog_posts/123?fields[blog_posts]=title
Response will only include requested fields
{
"data": {
"id": "123",
"type": "blog_posts",
"attributes": {
"title": "Announcing New Course"
}
}
}
GET
Blog post details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
BlogPost ID
Query Parameters
Partial attributes as specified, e.g. fields[blog_posts]=title